function [ Z ] = imgFunc2DProbe( numXpixels,numYpixels,val )

divN = 1/16;

if mod(numXpixels,2)==0
    x = linspace(-(pi/divN),pi/divN,numXpixels+1);
    x = x(1:end-1);
else
    x = linspace(-(pi/divN),pi/divN,numXpixels);
end

if mod(numYpixels,2)==0
    y = linspace(-(pi/divN),pi/divN,numYpixels+1);
    y = y(1:end-1);
else
    y = linspace(-(pi/divN),pi/divN,numYpixels);
end

[X,Y] = meshgrid(x,y);

% Z = val.*(cos(X+Y)+1)./2;
% Z = val.*(sin(X)+1)./2;
% Z = val.*exp(-(X.^2 + Y.^2));
Z = ones(numXpixels,numYpixels).*val;

end

